Bug 142702 - internal compiler error results in Segmentation fault
internal compiler error results in Segmentation fault
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-12 21:15 EST by Onno Hommes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 12:13:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Onno Hommes 2004-12-12 21:15:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
While compiling xine-lib-1-rc7 I receive the following compiler problem:

 gcc -DHAVE_CONFIG_H -I. -I. -I../../../.. -I../../../../src/input/vcd/libcdio -I../../../../include -I../../../../lib -mtune=athlon -O3 -pipe -fomit-frame-pointer -falign-functions=4 -falign-loops=4 -falign-jumps=4 -mpreferred-stack-boundary=2 -fexpensive-optimizations -fschedule-insns2 -fno-strict-aliasing -ffast-math -funroll-loops -finline-functions -Wall -DNDEBUG -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE -Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -MT mpeg.lo -MD -MP -MF .deps/mpeg.Tpo -c mpeg.c -o .libs/mpeg.o
mpeg.c: In function `_analyze_video_pes':
mpeg.c:123: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.




Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3

How reproducible:
Didn't try

Steps to Reproduce:
1. Download xine-lib-1-rc7
2. unzip and untar images
3. run ./configure --prefix=/usr
4. run make

observe error.

The message also stated that it is probably hardware and OS specific.
    

Actual Results:  Segmentation Violation by gcc

Expected Results:  create an object file mpeg.o

Additional info:

Restarting make seems to fix the problem. So it seems related to some memory leak/allocation.
Comment 1 Jakub Jelinek 2004-12-13 12:13:39 EST
If restarting make fixes the problem, then the problem in all cases I have seen
so far was flaky hardware.

Note You need to log in before you can comment on or make changes to this bug.